# Default Properties file for use by StdSchedulerFactory
# to create a Quartz Scheduler Instance, if a different
# properties file is not explicitly specified.
#

org.quartz.scheduler.instanceName = DefaultQuartzScheduler
org.quartz.scheduler.instanceId = AUTO
org.quartz.scheduler.rmi.export = false
org.quartz.scheduler.rmi.proxy = false
org.quartz.scheduler.wrapJobExecutionInUserTransaction = false

org.quartz.threadPool.class= org.quartz.simpl.SimpleThreadPool
org.quartz.threadPool.threadCount=  10
org.quartz.threadPool.threadPriority=  5
org.quartz.threadPool.threadsInheritContextClassLoaderOfInitializingThread= true

#表示实际执行时间与下一次应该执行时间之间的差值，超过这个差值就不会执行，低于这个差值就会执行
org.quartz.jobStore.misfireThreshold=  59000
 
#============================================================================
# Configure JobStore
#============================================================================
 
# RAM
# Configure JobStore Cluster
org.quartz.jobStore.class= org.quartz.impl.jdbcjobstore.JobStoreTX
org.quartz.jobStore.driverDelegateClass= org.quartz.impl.jdbcjobstore.StdJDBCDelegate
org.quartz.jobStore.useProperties= true
#dataSource
org.quartz.jobStore.tablePrefix= QRTZ_
#org.quartz.jobStore.dataSource:qzDS
 
#============================================================================
# Configure Datasources
#============================================================================
#dataSource
#org.quartz.dataSource.qzDS.driver:com.mysql.jdbc.Driver
#org.quartz.dataSource.qzDS.URL:jdbc:mysql://172.19.103.71:3306/esb?useUnicode=true&characterEncoding=UTF-8&autoReconnect=true&autoReconnectForPools=true
#org.quartz.dataSource.qzDS.user:hos
#org.quartz.dataSource.qzDS.password:hos
#org.quartz.dataSource.qzDS.maxConnection:100
#org.quartz.dataSource.qzDS.validateOnCheckout:true
#org.quartz.dataSource.qzDS.validationQuery:select 1

org.quartz.jobGroupName = RS_JOBGROUP_NAME
org.quartz.triggerGroupName = RS_TRIGGERGROUP_NAME
